import { AdminPageService } from "./admin.page.service";
import { CreatePageDto, UpdatePageDto, UpdateStatusDto } from "./admin.page.dto";
export declare class AdminPageController {
    private readonly pageService;
    constructor(pageService: AdminPageService);
    create(createPageDto: CreatePageDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/page/page.entity").Page[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/page/page.entity").Page;
    }>;
    update(id: string, updatePageDto: UpdatePageDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
    updateStatus(id: string, updateStatusDto: UpdateStatusDto): Promise<{
        status: boolean;
        message: string;
    }>;
}
